  export enum UsageLogType {
    TA23API = 'TA23API',
    SYSTEM = 'SYSTEM',
    DATAMART = 'DATAMART',
  }
  
  export enum ActivityType {
    DATA_PREPARATION = 'DATA_PREPARATION',
    PROBLEM_DEFINITION = 'PROBLEM_DEFINITION',
    MODEL_SELECTION = 'MODEL_SELECTION',
  }
  
  export  enum ActivityTypeL2 {
    LAUNCH_TA3 = 'LAUNCH_TA3',
    DATA_OPEN = 'DATA_OPEN',
    DATA_EXPLORATION = 'DATA_EXPLORATION',
    DATA_AUGMENTATION = 'DATA_AUGMENTATION',
    DATA_DOWNLOAD = 'DATA_DOWNLOAD',
    DATA_SEARCH = 'DATA_SEARCH',
    DATA_TRANSFORMATION = 'DATA_TRANSFORMATION',
    PROBLEM_SPECIFICATION = 'PROBLEM_SPECIFICATION',
    MODEL_SEARCH = 'MODEL_SEARCH',
    MODEL_SUMMARIZATION = 'MODEL_SUMMARIZATION',
    MODEL_COMPARISON = 'MODEL_COMPARISON',
    MODEL_EXPLANATION = 'MODEL_EXPLANATION',
    MODEL_EXPORT = 'MODEL_EXPORT',
  }
  
  export enum UserEvent {
    // Data Preparation
    LIST_DATASETS = 'LIST_DATASETS',
    LIST_PROBLEMS = 'LIST_PROBLEMS',
    VIEW_RESOURCE_STATS = 'VIEW_RESOURCE_STATS',
    CHANGE_VIEW = 'CHANGE_VIEW',
    EXPLORE_SPREADSHEET = 'EXPLORE_SPREADSHEET',
    GET_DATA_DESCRIPTION = 'GET_DATA_DESCRIPTION',
    DATAMART_SEARCH = 'DATAMART_SEARCH',
    DATAMART_AUGMENT = 'DATAMART_AUGMENT',
    // Problem Definition
    SELECT_TARGET = 'SELECT_TARGET',
    SELECT_PROBLEM_TYPE = 'SELECT_PROBLEM_TYPE',
    SELECT_PROBLEM_SUBTYPE = 'SELECT_PROBLEM_SUBTYPE',
    SETUP_SEARCH_CONFIGURATION = 'SETUP_SEARCH_CONFIGURATION',
    // Model Selection
    VIEW_CONFUSION_MATRIX = 'VIEW_CONFUSION_MATRIX',
    VIEW_CONFUSION_SCATTER_PLOT = 'VIEW_CONFUSION_SCATTER_PLOT',
    VIEW_RULE_MATRIX = 'VIEW_RULE_MATRIX',
    VIEW_PARTIAL_DEPENDENCE_PLOTS = 'VIEW_PARTIAL_DEPENDENCE_PLOTS',
    SELECT_MODEL_GRAPH_VIEW = 'SELECT_MODEL_GRAPH_VIEW',
    RANK_UP_SOLUTION = 'RANK_UP_SOLUTION',
    RANK_DOWN_SOLUTION = 'RANK_DOWN_SOLUTION',
    SHOW_ONLY_FAVORITE = 'SHOW_ONLY_FAVORITE',
    RESET_SOLUTIONS = 'RESET_SOLUTIONS',
    GO_EXPLAIN_SOLUTIONS_VIEW = 'GO_EXPLAIN_SOLUTIONS_VIEW',
    // Export
    RANK_SOLUTION = 'RANK_SOLUTION',
  }